POSTGetAccountBalance

Tron Mainnethttps://tron-mainnet.nodit.io/wallet/getaccountbalance

Get the account balance in a specific block.(Note: At present, the interface data can only be queried through the following official nodes 13.228.119.63 & 18.139.193.235 & 18.141.79.38 & 18.139.248.26)

Request Body
account_identifierstring (json)required

Object containing the account address. Example: { "address": "TLLM21wteSPs4hKjbxgmH1L6poyMjeTbHm" }

block_identifierstring (json)required

Object containing the block number and hash. Example: { "hash": "0000000000010c4a732d1e215e87466271e425c86945783c3d3f122bfa5affd9", "number": 68682 }

visibleboolean

Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)

Responses
balanceinteger (int64)

TRX balance, in sun (1 TRX = 1,000,000 sun).

hashstring

Block hash.

numberinteger (int64)

Block number.

X-API-KEY
RequestCU30
cURL
curl -X POST "https://tron-mainnet.nodit.io/wallet/getaccountbalance" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "account_identifier": {
    "address": "TUoHaVjx7n5xz8LwPRDckgFrDWhMhuSuJM"
  },
  "block_identifier": {
    "hash": "00000000052b3fa2d0034a3cd2b4d64daf8d4ebf4e72e8d262cc47e9592b2453",
    "number": 86720418
  },
  "visible": true
}'
Response
Example · 200
{
  "balance": 0,
  "block_identifier": {
    "hash": "string",
    "number": 0
  }
}